<?php
session_start();
require_once('conf/conf.php');
if (empty($_SESSION['csrf_token'])) {
    $_SESSION['csrf_token'] = bin2hex(random_bytes(32));
}

if(isset($_SESSION['info'])){
    $info = $_SESSION['info'];
    unset($_SESSION['info']);
}else{
    $info = "<p><font color='red'>*situs/website ini bersifat <b>SANGAT RAHASIA,</b> dilarang untuk menyebarluaskan informasi dari situs ini kepada pihak yang tidak bersangkutan.</font></p>";
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (isset($_POST['csrf_token']) && $_POST['csrf_token'] === $_SESSION['csrf_token']) {
        $nip = getOne2("SELECT CONCAT('P', LPAD(CAST(SUBSTRING(MAX(nip), 2) AS UNSIGNED) + 1, 4, '0')) FROM petugas WHERE nip LIKE '%P0%'");
        $nama = htmlspecialchars($_POST["nama"]);
        $jk = htmlspecialchars($_POST["jk"]);
        $tmp_lahir = htmlspecialchars($_POST["tmp_lahir"]);
        $tgl_lahir = htmlspecialchars($_POST["tgl_lahir"]);
        $gol_darah = htmlspecialchars($_POST["gol_darah"]);
        $agama = htmlspecialchars($_POST["agama"]);
        $stts_nikah = htmlspecialchars($_POST["stts_nikah"]);
        $alamat = htmlspecialchars($_POST["alamat"]);
        $kd_jbtn = "J001";
        $no_telp = htmlspecialchars($_POST["no_telp"]);
        $status = htmlspecialchars($_POST["status"]);
        $insert1= Tambah4("pegawai", "'0','$nip','$nama','Wanita','-','-','-','-','-','-','-','-','-','-','-','0','$tmp_lahir','$tgl_lahir','$alamat','-','1900-01-01','<1',
                    '-','T','-','AKTIF','0','0','0','1900-01-01','0','0','pages/pegawai/photo/','-'");
        if($insert1){
            $insert2 = Tambah4("petugas","'$nip','$nama','$jk','$tmp_lahir','$tgl_lahir','$gol_darah','$agama','$stts_nikah','$alamat','$kd_jbtn','$no_telp','$status'");
            if($insert2){
                $_SESSION['info'] = "<div class='btn btn-block btn-success'>Berhasil membuat akun, mohon <a href='https://wa.me/6281256843691?text=Konfirmasi%20Aktivasi%20Akun%0AId:%20$nip%0ANama:%20$nama%0ANo%20telp:%20$no_telp' class='btn btn-block btn-light' >konfirmasi disini.</a></div>";
                unset($_SESSION['csrf_token']);
                header("Location: " . $_SERVER['PHP_SELF']);
                exit;
            }else{
                die("Anda melakukan aktifitas mencurigakansssss!");
            }
        }
    } else {
        die("Anda melakukan aktifitas mencurigakan csrf!");
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>The Easiest Way to Add Input Masks to Your Forms</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/simple-line-icons/2.4.1/css/simple-line-icons.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/style.css">
    
</head>
<body>
    <div class="registration-form">
        <form method="post">
            <div class="form-icon">
                <span><i class="icon icon-user"></i></span>
            </div>
            <div class="form-group">
                <h5>Pembuatan Akun Petugas/Perawat RSUD dr. H. Soemarno Sosroatmodjo Tanjung Selor</h5>
                <?=$info?>
            </div>
            <div class="form-group">
                Nama:
                <input type="text" class="form-control item" name="nama" placeholder="Nama" required>
            </div>
            <div class="form-group">
                Jenis Kelamin:
                <select class="form-control" name="jk">
                    <option value="P">Perempuan</option>
                    <option value="L">Laki-Laki</option>
                </select>
            </div>
            <div class="form-group">
                Tmp. Lahir:
                <input type="text" class="form-control item" name="tmp_lahir" placeholder="Tempat Lahir" required>
            </div>
            <div class="form-group">
                Tanggal Lahir:
                <input type="date" class="form-control item" name="tgl_lahir" placeholder="Tanggal Lahir" required>
            </div>
            <div class="form-group">
                Gol. Darah:
                <input type="text" class="form-control item" name="gol_darah" value="-" readonly>
            </div>
            <div class="form-group">
                Agama:
                <select class="form-control" name="agama">
                    <option value="Islam">Islam</option>
                    <option value="Kristen">Kristen</option>
                    <option value="Katolik">Katolik</option>
                    <option value="Hindu">Hindu</option>
                    <option value="Budha">Budha</option>
                    <option value="Kong Hu Chu">Kong Hu Chu</option>
                </select>
            </div>
            <div class="form-group">
                Status Nikah:
                <select class="form-control" name="stts_nikah">
                    <option value="BELUM MENIKAH">BELUM MENIKAH</option>
                    <option value="MENIKAH">MENIKAH</option>
                </select>
            </div>
            <div class="form-group">
                Alamat:
                <input type="text" class="form-control item" name="alamat" placeholder="Alamat" required>
            </div>
            <div class="form-group">
                Nomor HP:
                <input type="number" class="form-control item" name="no_telp" placeholder="No. Telp" required>
                <input type="hidden" class="form-control item" name="status" value="1">
                <input type="hidden" class="form-control item" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-block create-account" >Buat Akun</button>
            </div>
        </form>
        <div class="social-media">
            <h5>Mengalami Masalah Saat Membuat akun? Hubungi Wa diBawah</h5>
            <a href="https://wa.me/6281256843691"><i title="Whatsapp">Whatsapp Saya</i></a>
        </div>
    </div>
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
    <script src="assets/js/script.js"></script>
</body>
</html>
